package com.capitalware.ufm.action.objects;

import java.util.ArrayList;

import com.capitalware.ufm.objects.CWConstants;

/**
 * This class holds the values for the PutQuit action.
 *
 * @author Roger Lacroix
 * @version 1.0
 * @license Apache 2 License
 */
public class MQPutQuitObject extends UFMFileMQObject
{
   /**
    * The constructor
    */
   public MQPutQuitObject()
   {
      super();
   }

   /**
    * Process tokens in Action Object's variables
    */
   public void performTokenization()
   {
      
   }

   /**
    * Verify the values in the object.
    */
   public void checkObject()
   {
   }

   /**
    * Output the info
    * @param logger
    */
   public void printValues()
   {
   }
   
   /**
    * Convert the object to a string.
    * @return s
    */
   public ArrayList<String> toStringArray()
   {
      ArrayList<String> al = new ArrayList<String>();

      al.add("<"+CWConstants.MQ_PUTQUIT_ELEMENT+">"+LINE_SEPARATOR);

      /*
       * MQ info
       */
      ArrayList<String> mq = createMQTag();
      for (int i=0; i < mq.size(); i++)
         al.add(mq.get(i));
      
      al.add("</"+CWConstants.MQ_PUTQUIT_ELEMENT+">"+LINE_SEPARATOR);
      
      return al;
   }

   /**
    * Retrieve the values in this action for the status update.
    * @return s
    */
   public String toStringForStatusUpdate(String event)
   {
      String s;

      s = CWConstants.MQ_PUTQUIT_ELEMENT+", "+labelName+", MQPut, "+createMQTagForStatusUpdate()+LINE_SEPARATOR;

      return s;
   }
}
